Package org.eclipse.m2m.atl.emftvm.impl

## Class RuleImpl.WithSuperRulesState

- java.lang.Object
- - org.eclipse.m2m.atl.emftvm.impl.RuleImpl.SuperRulesState
  - - org.eclipse.m2m.atl.emftvm.impl.RuleImpl.WithSuperRulesState

Enclosing class:
  RuleImpl

    protected class RuleImpl.WithSuperRulesState
    extends RuleImpl.SuperRulesState

`RuleImpl.SuperRulesState` class for rules with `Rule.getESuperRules()`.

### Constructor Summary

Constructors
`protected` `WithSuperRulesState()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `compileIterables​(ExecEnv env)` Compiles a list or map of iterables for each input rule element.
`boolean` `match​(StackFrame frame)` Matches `#getRule()`.
`boolean` `matchOne​(StackFrame frame)` Matches up to one match for `#getRule()`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WithSuperRulesState

    protected WithSuperRulesState()

### Method Detail

#### match

    public boolean match​(StackFrame frame)

Matches `#getRule()`.

Specified by:
  `match` in class `RuleImpl.SuperRulesState`
Parameters:
  `frame` - the stack frame in which to execute the matcher
Returns:
  `true` iff the rule has any matches

#### matchOne

    public boolean matchOne​(StackFrame frame)

Matches up to one match for `#getRule()`.

Specified by:
  `matchOne` in class `RuleImpl.SuperRulesState`
Returns:
  `true` iff the rule has any matches

#### compileIterables

    public void compileIterables​(ExecEnv env)

Compiles a list or map of iterables for each input rule element.

Specified by:
  `compileIterables` in class `RuleImpl.SuperRulesState`
Parameters:
  `env` - the execution environment with models